Bug 866273 - Review Request: jaxb2-fluent-api - JAXB2 Commons - Fluent API Plugin
Review Request: jaxb2-fluent-api - JAXB2 Commons - Fluent API Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2012-10-14 21:17 EDT by gil cattaneo
Modified: 2015-02-06 23:03 EST (History)
1 user (show)

See Also:
Fixed In Version: jaxb2-fluent-api-3.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-06 23:03:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-14 21:17:22 EDT
Spec URL: http://gil.fedorapeople.org/jaxb2-fluent-api.spec
SRPM URL: http://gil.fedorapeople.org/jaxb2-fluent-api-3.0-1.fc16.src.rpm
Description: Causes JAXB RI 2 XJC to generate additional methods that
allows method chaining. Method chaining is useful when
building object tree in memory, allowing the code to be
done in a concise way. The code that uses this plugin
can still run with any JAXB2 implementation.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-28 01:46:19 EDT
Spec URL: http://gil.fedorapeople.org/jaxb2-fluent-api.spec
SRPM URL: http://gil.fedorapeople.org/jaxb2-fluent-api-3.0-1.fc18.src.rpm

- Apache Camel build tool
Comment 2 gil cattaneo 2013-05-28 01:47:08 EDT
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5431949
Comment 5 Michael Simacek 2015-01-29 08:57:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/msimacek/reviews/866273-jaxb2-fluent-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jaxb2
     -fluent-api-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jaxb2-fluent-api-3.0-1.fc22.noarch.rpm
          jaxb2-fluent-api-javadoc-3.0-1.fc22.noarch.rpm
          jaxb2-fluent-api-3.0-1.fc22.src.rpm
jaxb2-fluent-api.noarch: E: description-line-too-long C to be done in a concise way. The code that uses this plugin can still run with any
jaxb2-fluent-api.noarch: W: no-documentation
jaxb2-fluent-api.src: E: description-line-too-long C to be done in a concise way. The code that uses this plugin can still run with any
jaxb2-fluent-api.src: W: invalid-url Source0: jaxb2-fluent-api-3.0.tar.xz
3 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
jaxb2-fluent-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jaxb2-fluent-api (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
jaxb2-fluent-api-javadoc:
    jaxb2-fluent-api-javadoc

jaxb2-fluent-api:
    jaxb2-fluent-api
    mvn(org.jvnet.jaxb2_commons:jaxb2-fluent-api)
    mvn(org.jvnet.jaxb2_commons:jaxb2-fluent-api:pom:)



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 866273
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Please reformat the description, the lines are too long and there is trailing
whitespace. You can do it before the import. Everything else looks ok, APPROVED

FYI, when using %pom_change_dep, you don't need to repeat components which stay
the same, so using
%pom_change_dep com.sun.xml.bind:jaxb-xjc org.glassfish.jaxb:
would work as well.
Comment 6 gil cattaneo 2015-01-29 09:10:18 EST
(In reply to Michael Simacek from comment #5)

> Please reformat the description, the lines are too long and there is trailing
> whitespace.
Done

> %pom_change_dep com.sun.xml.bind:jaxb-xjc org.glassfish.jaxb:
> would work as well.
Done

Spec URL: http://gil.fedorapeople.org/jaxb2-fluent-api.spec
SRPM URL: http://gil.fedorapeople.org/jaxb2-fluent-api-3.0-1.fc20.src.rpm

Thanks for the review!

New Package SCM Request
=======================
Package Name: jaxb2-fluent-api
Short Description: JAXB2 Commons - Fluent API Plugin
Upstream URL: http://java.net/projects/jaxb2-commons/pages/Fluent-api
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2015-01-29 09:45:45 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-01-29 10:56:12 EST
jaxb2-fluent-api-3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jaxb2-fluent-api-3.0-1.fc21
Comment 9 Fedora Update System 2015-01-29 23:37:41 EST
jaxb2-fluent-api-3.0-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 10 Fedora Update System 2015-02-06 23:03:43 EST
jaxb2-fluent-api-3.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.